D_INSTANTIATE(9)

NAME
d_instantiate - fill in inode information for a dentry

SYNOPSIS

void d_instantiate(struct dentry * entry, struct inode * inode);

ARGUMENTS

entry
    dentry to complete

inode
    inode to attach to this dentry

DESCRIPTION

Fill in inode information in the entry.

This turns negative dentries into productive full members of society.

NOTE! This assumes that the inode count has been incremented (or otherwise set) by the caller to indicate that it is now in use by the dcache.

COPYRIGHT